Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.edit
Class OptionsSelection

    java.lang.Object
      de.grogra.pf.ui.edit.SelectionBase
          de.grogra.pf.ui.edit.OptionsSelection

All Implemented Interfaces:
  Selection, Described

    public class OptionsSelection

extends SelectionBase

Field Summary

Fields inherited from class de.grogra.pf.ui.edit.SelectionBase
`context`

Fields inherited from interface de.grogra.pf.ui.edit.Selection
`DELETABLE, HIERARCHICAL, TRANSFERABLE`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`OptionsSelection(Context ctx, Item item, boolean listen)`

Method Summary
`protected PropertyEditorTree.Node` | `createPropertyNodes(PropertyEditorTree t, Property p, UITree sourceTree, java.lang.Object sourceNode)`
`protected PropertyEditorTree.Node` | `createPropertyNodesInGroup(PropertyEditorTree t, Property p, UITree sourceTree, java.lang.Object sourceGroup)`
`protected PropertyEditorTree` | `createTree()`
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`protected PropertyEditor` | `getEditorFor(Property p, Item item)`
`protected UITree` | `getHierarchySource()`
`protected java.lang.Object` | `getHierarchySourceRoot(UITree source)`
`protected java.lang.String` | `getLabelFor(Property p)`
`protected java.util.List` | `getProperties(PropertyEditorTree tree)`
`protected void` | `valueChanged(java.lang.String name, java.lang.Object value)`

Methods inherited from class de.grogra.pf.ui.edit.SelectionBase
`createPropertyEditorComponent, createPropertyEditorMenu, createPropertyNodes, delete, getCapabilities, getContext, remove, toTransferable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsSelection

    public OptionsSelection(Context ctx,
                            Item item,
                            boolean listen)

Method Detail

### createPropertyNodes

    protected PropertyEditorTree.Node createPropertyNodes(PropertyEditorTree t,
                                                          Property p,
                                                          UITree sourceTree,
                                                          java.lang.Object sourceNode)

  Specified by:
    `createPropertyNodes` in class `SelectionBase`

### createPropertyNodesInGroup

    protected PropertyEditorTree.Node createPropertyNodesInGroup(PropertyEditorTree t,
                                                                 Property p,
                                                                 UITree sourceTree,
                                                                 java.lang.Object sourceGroup)

  Specified by:
    `createPropertyNodesInGroup` in class `SelectionBase`

### createTree

    protected PropertyEditorTree createTree()

  Specified by:
    `createTree` in class `SelectionBase`

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getEditorFor

    protected PropertyEditor getEditorFor(Property p,
                                          Item item)

  Overrides:
    `getEditorFor` in class `SelectionBase`

### getHierarchySource

    protected UITree getHierarchySource()

  Specified by:
    `getHierarchySource` in class `SelectionBase`

### getHierarchySourceRoot

    protected java.lang.Object getHierarchySourceRoot(UITree source)

  Specified by:
    `getHierarchySourceRoot` in class `SelectionBase`

### getLabelFor

    protected java.lang.String getLabelFor(Property p)

  Specified by:
    `getLabelFor` in class `SelectionBase`

### getProperties

    protected java.util.List getProperties(PropertyEditorTree tree)

  Specified by:
    `getProperties` in class `SelectionBase`

### valueChanged

    protected void valueChanged(java.lang.String name,
                                java.lang.Object value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD